Package org.eclipse.m2m.atl.common

## Interface ATLLaunchConstants

    public interface ATLLaunchConstants

This interface contains the common constants used for launch ATL transformations in the Eclipse UI.

### Field Summary

Fields
`static java.lang.String` `ATL_COMPILER` ATL Compiler.
`static java.lang.String[]` `ATL_EXTENSIONS` ATL extensions.
`static java.lang.String` `ATL_FILE_NAME` ATL File Name.
`static java.lang.String` `ATL_ICON_PATH` ATL icon path.
`static java.lang.String` `ATL_VM` ATL VM name.
`static java.lang.String` `DEFAULT_COMPILER_VERSION` The ATL default compiler version.
`static java.lang.String` `DEFAULT_MODEL_HANDLER_NAME` Default model handler name.
`static int` `DEFAULT_PORT` Default debug port.
`static java.lang.String` `DELETE_ICON_PATH` Delete icon path.
`static java.lang.String` `EMF_VM_NAME` EMF VM name, for default values.
`static java.lang.String` `EMFTVM_NAME` EMF VM name, for default values.
`static java.lang.String` `HOST` Debug host.
`static java.lang.String` `INPUT` Input models.
`static java.lang.String` `IS_REFINING` Output model.
`static java.lang.String` `LAUNCH_CONFIGURATION_TYPE` ATL launch type.
`static java.lang.String` `LIBS` Libraries map.
`static java.lang.String` `METAMODEL_INPUT` Input metamodel.
`static java.lang.String` `METAMODEL_OUTPUT` Output metamodel.
`static java.lang.String` `MODEL_HANDLER` Model handler.
`static java.lang.String` `MODEL_INPUT` Input model.
`static java.lang.String` `MODEL_OUTPUT` Output model.
`static java.lang.String` `MODEL_TYPE` Model type.
`static java.lang.String` `NULL_PARAMETER` Null parameter.
`static java.lang.String` `OPTION_ATL_FILE_PATH` The ATL file.
`static java.lang.String` `OPTION_MODEL_HANDLER` ModelHandler option.
`static java.lang.String` `OPTIONS` Superimposed modules.
`static java.lang.String` `ORDERED_INPUT` Ordered input models list.
`static java.lang.String` `ORDERED_OUTPUT` Ordered output models list.
`static java.lang.String` `OUTPUT` Output models.
`static java.lang.String` `PATH` Path map.
`static java.lang.String` `PORT` Debug port.
`static java.lang.String` `REGULAR_VM_NAME` Regular VM name, for launch compatibility adaptations.
`static java.lang.String` `STOP_IN_MAIN` Stop in main option (for debug mode).
`static java.lang.String` `SUPERIMPOSE` Superimposed modules.

### Field Detail

#### DEFAULT_COMPILER_VERSION

    static final java.lang.String DEFAULT_COMPILER_VERSION

The ATL default compiler version.

See Also:
  Constant Field Values

#### LAUNCH_CONFIGURATION_TYPE

    static final java.lang.String LAUNCH_CONFIGURATION_TYPE

ATL launch type.

See Also:
  Constant Field Values

#### REGULAR_VM_NAME

    static final java.lang.String REGULAR_VM_NAME

Regular VM name, for launch compatibility adaptations.

See Also:
  Constant Field Values

#### EMF_VM_NAME

    static final java.lang.String EMF_VM_NAME

EMF VM name, for default values.

See Also:
  Constant Field Values

#### EMFTVM_NAME

    static final java.lang.String EMFTVM_NAME

EMF VM name, for default values.

See Also:
  Constant Field Values

#### DEFAULT_MODEL_HANDLER_NAME

    static final java.lang.String DEFAULT_MODEL_HANDLER_NAME

Default model handler name.

See Also:
  Constant Field Values

#### OPTION_MODEL_HANDLER

    static final java.lang.String OPTION_MODEL_HANDLER

ModelHandler option.

See Also:
  Constant Field Values

#### ATL_VM

    static final java.lang.String ATL_VM

ATL VM name.

See Also:
  Constant Field Values

#### ATL_FILE_NAME

    static final java.lang.String ATL_FILE_NAME

ATL File Name.

See Also:
  Constant Field Values

#### OUTPUT

    static final java.lang.String OUTPUT

Output models.

See Also:
  Constant Field Values

#### ORDERED_OUTPUT

    static final java.lang.String ORDERED_OUTPUT

Ordered output models list.

See Also:
  Constant Field Values

#### INPUT

    static final java.lang.String INPUT

Input models.

See Also:
  Constant Field Values

#### ORDERED_INPUT

    static final java.lang.String ORDERED_INPUT

Ordered input models list.

See Also:
  Constant Field Values

#### NULL_PARAMETER

    static final java.lang.String NULL_PARAMETER

Null parameter.

See Also:
  Constant Field Values

#### PATH

    static final java.lang.String PATH

Path map.

See Also:
  Constant Field Values

#### HOST

    static final java.lang.String HOST

Debug host.

See Also:
  Constant Field Values

#### PORT

    static final java.lang.String PORT

Debug port.

See Also:
  Constant Field Values

#### DEFAULT_PORT

    static final int DEFAULT_PORT

Default debug port.

See Also:
  Constant Field Values

#### LIBS

    static final java.lang.String LIBS

Libraries map.

See Also:
  Constant Field Values

#### IS_REFINING

    static final java.lang.String IS_REFINING

Output model.

See Also:
  Constant Field Values

#### ATL_COMPILER

    static final java.lang.String ATL_COMPILER

ATL Compiler.

See Also:
  Constant Field Values

#### MODEL_OUTPUT

    static final java.lang.String MODEL_OUTPUT

Output model.

See Also:
  Constant Field Values

#### MODEL_INPUT

    static final java.lang.String MODEL_INPUT

Input model.

See Also:
  Constant Field Values

#### METAMODEL_OUTPUT

    static final java.lang.String METAMODEL_OUTPUT

Output metamodel.

See Also:
  Constant Field Values

#### METAMODEL_INPUT

    static final java.lang.String METAMODEL_INPUT

Input metamodel.

See Also:
  Constant Field Values

#### SUPERIMPOSE

    static final java.lang.String SUPERIMPOSE

Superimposed modules.

See Also:
  Constant Field Values

#### STOP_IN_MAIN

    static final java.lang.String STOP_IN_MAIN

Stop in main option (for debug mode).

See Also:
  Constant Field Values

#### OPTIONS

    static final java.lang.String OPTIONS

Superimposed modules.

See Also:
  Constant Field Values

#### MODEL_TYPE

    static final java.lang.String MODEL_TYPE

Model type.

See Also:
  Constant Field Values

#### MODEL_HANDLER

    static final java.lang.String MODEL_HANDLER

Model handler.

See Also:
  Constant Field Values

#### ATL_ICON_PATH

    static final java.lang.String ATL_ICON_PATH

ATL icon path.

See Also:
  Constant Field Values

#### DELETE_ICON_PATH

    static final java.lang.String DELETE_ICON_PATH

Delete icon path.

See Also:
  Constant Field Values

#### ATL_EXTENSIONS

    static final java.lang.String[] ATL_EXTENSIONS

ATL extensions.

#### OPTION_ATL_FILE_PATH

    static final java.lang.String OPTION_ATL_FILE_PATH

The ATL file.

See Also:
  Constant Field Values